Products API
Search the product catalog and retrieve cost and sustainability scores for individual products.
Authentication
All endpoints require the
x-api-key header. Response codes: 200 OK, 401 Auth Error, 429 Limited.Endpoints
| Method | Path | Description |
|---|---|---|
| GET | /products/search | Search products for cost and sustainability analysis |
| GET | /products/search/{search_text} | Path-param variant |
| GET | /products/{product_id}/cost | Get product cost information |
| GET | /products/{product_id}/sustainability | Get product sustainability scores |
Search Products
GET
/products/searchSearch for products by name. Returns cost and sustainability scores.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| q | string | Yes | Text to search for in product names |
| limit | integer | No | Max results to return |
curl "https://developer-portal-backend-694046361762.northamerica-northeast1.run.app/products/search?q=coca-cola" \
-H "x-api-key: YOUR_API_KEY" \
-H "Accept: application/json"Response200 OK
[
{
"id": "68fafdc50b1e97dbe1226c73",
"name": "Cocacola caffeine free soda – Coca-Cola",
"nutrition_score": 73,
"sustainability_score": 72,
"cost": 0,
"version": 1,
"created_date": "2025-10-24T04:17:00.011000"
},
{
"id": "68fb29640b1e97dbe122e622",
"name": "Cocacola orange vanilla bottles case – Coca-Cola",
"nutrition_score": 73,
"sustainability_score": 72,
"cost": 0,
"version": 1,
"created_date": "2025-10-24T07:22:59.234000"
}
]Search Products (Path Param)
GET
/products/search/{search_text}Path-parameter variant of product search. Pass the search text directly in the URL path.
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| search_text | string | Yes | URL-encoded search text |
curl "https://developer-portal-backend-694046361762.northamerica-northeast1.run.app/products/search/tortilla%20chips" \
-H "x-api-key: YOUR_API_KEY" \
-H "Accept: application/json"Response200 OK
[
{
"id": "68fafdc50b1e97dbe1226c73",
"name": "Cocacola caffeine free soda – Coca-Cola",
"nutrition_score": 73,
"sustainability_score": 72,
"cost": 0,
"version": 1,
"created_date": "2025-10-24T04:17:00.011000"
},
{
"id": "68fb29640b1e97dbe122e622",
"name": "Cocacola orange vanilla bottles case – Coca-Cola",
"nutrition_score": 73,
"sustainability_score": 72,
"cost": 0,
"version": 1,
"created_date": "2025-10-24T07:22:59.234000"
}
]Get Product Cost
GET
/products/{product_id}/costRetrieve cost information for a specific product.
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| product_id | string | Yes | Product ID |
curl "https://developer-portal-backend-694046361762.northamerica-northeast1.run.app/products/68f20f764f55a59a1095a1e9/cost" \
-H "x-api-key: YOUR_API_KEY" \
-H "Accept: application/json"Response200 OK
{
"id": "68f20f764f55a59a1095a1e9",
"name": "Tortilla chips, restaurant style – Meijer",
"sustainability_score": 72
}Get Product Sustainability
GET
/products/{product_id}/sustainabilityRetrieve sustainability scores for a specific product.
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| product_id | string | Yes | Product ID |
curl "https://developer-portal-backend-694046361762.northamerica-northeast1.run.app/products/68f20f764f55a59a1095a1e9/sustainability" \
-H "x-api-key: YOUR_API_KEY" \
-H "Accept: application/json"Response200 OK
{
"id": "68f20f764f55a59a1095a1e9",
"name": "Tortilla chips, restaurant style – Meijer",
"sustainability_score": 72
}